Update Pinned Memory
curl --request PATCH \
--url https://tavusapi.com/v2/memory-stores/{memory_store_id}/pinned/{memory_id} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"memory": "Prefers answers in bullet points"
}
'import requests
url = "https://tavusapi.com/v2/memory-stores/{memory_store_id}/pinned/{memory_id}"
payload = { "memory": "Prefers answers in bullet points" }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({memory: 'Prefers answers in bullet points'})
};
fetch('https://tavusapi.com/v2/memory-stores/{memory_store_id}/pinned/{memory_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"memory_id": "pm123456789abc",
"memory": "Prefers concise answers",
"created_at": "2026-08-24 12:00:00",
"updated_at": "2026-08-24 12:00:00"
}Pinned memories
Update Pinned Memory
Replaces the text of one pinned memory.
PATCH
/
v2
/
memory-stores
/
{memory_store_id}
/
pinned
/
{memory_id}
Update Pinned Memory
Updating a pinned memory replaces its text while preserving its
memory_id.Authorizations
Path Parameters
Memory store identifier.
Required string length:
2 - 64Pattern:
^m[a-z0-9]+$Pinned memory identifier.
Body
application/json
Replacement fact, up to 500 characters.
Required string length:
1 - 500Example:
"Prefers answers in bullet points"
Response
Pinned memory updated
Unique identifier for the pinned memory.
Example:
"pm123456789abc"
Pinned fact.
Maximum string length:
500Example:
"Prefers concise answers"
When the pinned memory was created.
Example:
"2026-08-24 12:00:00"
When the pinned memory was last updated.
Example:
"2026-08-24 12:00:00"

